GH-GIST-CREATE(1)

NAME

gh-gist-create - Create a new gist

SYNOPSIS

gh gist create [<filename>... | -] [flags]

DESCRIPTION

Create a new GitHub gist with given contents.

Gists can be created from one or multiple files. Alternatively, pass - as file name to read from standard input.

By default, gists are secret; use --public to make publicly listed ones.

OPTIONS

-d, --desc <string>
    A description for this gist

-f, --filename <string>
    Provide a filename to be used when reading from standard input

-p, --public
    List the gist publicly (default "secret")

-w, --web
    Open the web browser with created gist

ALIASES

gh gist new

EXAMPLE
    # publish file 'hello.py' as a public gist
    $ gh gist create --public hello.py
    # create a gist with a description
    $ gh gist create hello.py -d "my Hello-World program in Python"
    # create a gist containing several files
    $ gh gist create hello.py world.py cool.txt
    # read from standard input to create a gist
    $ gh gist create -
    # create a gist from output piped from another command
    $ cat cool.txt | gh gist create

SEE ALSO

gh-gist(1)